%global pyname catkin-sphinx

Name:           python-%{pyname}
Version:        0.3.2
Release:        1
Summary:        Sphinx extension for Catkin projects

License:        BSD
URL:            https://github.com/ros-infrastructure/%{pyname}
Source0:        https://github.com/ros-infrastructure/%{pyname}/archive/%{version}/%{pyname}-%{version}.tar.gz
BuildArch:      noarch

%description
Sphinx extension for Catkin projects that provides a custom ROS theme and a
Sphinx domain for CMake.


%package -n python%{python3_pkgversion}-%{pyname}
Summary:        %{summary}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
Requires:       python%{python3_pkgversion}-sphinx
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pyname}}

Requires:       python%{python3_pkgversion}-docutils
Requires:       python%{python3_pkgversion}-pygments

%description -n python%{python3_pkgversion}-%{pyname}
Sphinx extension for Catkin projects that provides a custom ROS theme and a
Sphinx domain for CMake.


%prep
%autosetup -p1 -n %{pyname}-%{version}


%build
%py3_build


%install
%py3_install


%files -n python%{python3_pkgversion}-%{pyname}
%doc README.md
%{python3_sitelib}/catkin_sphinx-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/catkin_sphinx/


%changelog
* Fri Aug 05 2022 fushanqing <fushanqing@kylinos.cn> - 0.3.2-1
- update to 0.3.2

* Fri Jun 25 2021 xuhe <xuhe@kylinos.cn> - 0.3.1-1
- Package init

